Package com.smartgwt.client.types

# Enum SelectionNotificationType

java.lang.Object
java.lang.Enum<SelectionNotificationType>
com.smartgwt.client.types.SelectionNotificationType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<SelectionNotificationType>`, `Constable`

public enum SelectionNotificationType extends Enum<SelectionNotificationType> implements ValueEnum
Enum to indicate selection change notification types. Used by `ListGrid.reselectOnUpdateNotifications` and `TileGrid.reselectOnUpdateNotifications`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  No selection change notification should fire
  `SELECTIONCHANGED`
  `selectionChanged()` should fire but `selectionUpdated()` should not fire.
  `SELECTIONUPDATED`
  `selectionChanged()` and `selectionUpdated()` should both fire.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static SelectionNotificationType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SelectionNotificationType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final SelectionNotificationType NONE
    No selection change notification should fire

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### SELECTIONCHANGED

    public static final SelectionNotificationType SELECTIONCHANGED
    `selectionChanged()` should fire but `selectionUpdated()` should not fire.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "selectionChanged".

  - ### SELECTIONUPDATED

    public static final SelectionNotificationType SELECTIONUPDATED
    `selectionChanged()` and `selectionUpdated()` should both fire.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "selectionUpdated".

- ## Method Details

  - ### values

    public static SelectionNotificationType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SelectionNotificationType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`